CoCoAManual: display syntax first

26 Feb 2013 18:00 - John Abbott

Status: Closed Start date: 26 Feb 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 4.00 hours

Target version: CoCoA-5.0.9 Spent time: 3.25 hours

Description

Move the syntax summary to the beginning of each manual entry (in CoCoAHelp.xml).

Time for some emacs macro magic :-)

Perhaps the syntax could be printed out at the beginning and again at the end when used in interactive mode?

Related issues:

Related to CoCoA-5 - Support #324: Correct font for variable references in de... Closed 26 Feb 2013

History

#1 - 13 Jun 2013 15:35 - Anna Maria Bigatti

- Category set to Manual/documentation

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 10

#2 - 17 Jun 2013 15:09 - John Abbott

- Subject changed from Syntax first to CoCoAManual: display syntax first

#3 - 17 Jun 2013 15:26 - Anna Maria Bigatti

- % Done changed from 10 to 60

I changed the code in OnlineHelp.C so that syntax is displayed first (2013-02).

It would be worth having the syntax first in CoCoAHelp.xml as well, and I'm doing it slowly, by hand, when updating entries: it really helps in writing

more consistent documentation.

When work is a little less hectic I'll do a major update.

#4 - 28 Mar 2014 08:27 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.0.9

- % Done changed from 60 to 90

Even though CoCoAHelp.xml isn't all written like that (too dangerous to do by emacs-magic), the end results (online, html, tex) display syntax first.

So we should close this issue.

#5 - 03 Apr 2014 20:07 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
- Estimated time set to 4.00 h

#6 - 31 Jul 2014 17:36 - Anna Maria Bigatti

Even though I had closed this issue saying:

Even though CoCoAHelp.xml isn't all written like that (too dangerous to do by emacs-magic), the end results (online, html, tex) display syntax

first.

 

I did the emacs magic (July 2014): I was fed up doing the fixes by hand.
